import 'package:flutter_riverpod/flutter_riverpod.dart';
import 'package:functions/src/core/providers/functions_repository_provider.dart';
import 'package:functions/src/features/remote_connection/domain/take_picture_use_case.dart';
import 'package:functions/src/features/remote_connection/domain/take_picture_use_case_impl.dart';

final takePictureUseCaseProvider = Provider.autoDispose<TakePictureUseCase>((ref) {
  final functionsRepository = ref.read(functionsRepositoryProvider);
  return TakePictureUseCaseImpl(functionsRepository);
});
